Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Renderbuffer

class Renderbuffer

  Returned by `Context.renderbuffer()` or `Context.depth_renderbuffer()`

  Renderbuffer objects are OpenGL objects that contain images.

  They are created and used specifically with `Framebuffer` objects. They are optimized for use as render targets, while `Texture` objects may not be, and are the logical choice when you do not need to sample from the produced image. If you need to resample, use Textures instead. Renderbuffer objects also natively accommodate multisampling.

  A Renderbuffer object cannot be instantiated directly, it requires a context. Use `Context.renderbuffer()` or `Context.depth_renderbuffer()` to create one.

## Methods

Renderbuffer.release()

## Attributes

Renderbuffer.width: int

  The width of the renderbuffer.

Renderbuffer.height: int

  The height of the renderbuffer.

Renderbuffer.size: Tuple[int, int]

  The size of the renderbuffer.

Renderbuffer.samples: int

  The number of samples for multisampling.

Renderbuffer.components: int

  The number components.

Renderbuffer.depth: bool

  Determines if the renderbuffer contains depth values.

Renderbuffer.dtype: str

  Data type.

Renderbuffer.ctx: Context

  The context this object belongs to

Renderbuffer.glo: int

  The internal OpenGL object. This values is provided for interoperability and debug purposes only.

Renderbuffer.extra: Any

  User defined data.